V1 Update Borrower Contact

Updates contact information for the specified contact ID.

IMPORTANT

To create or update a contact, the firstName OR lastName is required AND one of the following parameters: personalEmail, currentMailingAddress.street1, homePhone, mobilePhone, workPhone.

Path Params
string
required

The unique identifier that is returned in the response when the contact is created.

Body Params
string

The name of the contact's employer.

string

The contact's date of birth. For example, 1978-02-15

borrowerType
array of strings

Select the type of borrower contact, Prospect, Client, or Lead. When you import a lead, the Contact Type is automatically set to Lead.

borrowerType
string

The contact's primary email address.

string

The contact's primary phone number.

string

The name of a person or company, if any, who referred the borrower to you.

string

Required. The contact's first name.

Note: Either firstName or lastName is required.

string

Required. The contact's last name.

Note: Either firstName or lastName is required.

string

User ID of the user who submitted the API request.

integer

Possible values are: 0 – Private, 1- Public.

currentMailingAddress
object

The contact's home address.

bizAddress
object

The contact's business address.

string

Website address for the borrower.

string

The contact's job title.

string

The contact's work phone number.

string

The contact's home phone number.

string

The contact's cell phone number.

string

The contact's fax number.

string

Required. The contact's personal email address.

string

The contact's work email address.

string

Ms., Miss, Mrs., Mr., Dr., etc.

string

The contactId (or id) is the unique identifier of the borrower contact. It is returned in the response header when the contact is created.

groupIDs
array of integers

The unique identifier of each contact group to which the contact belongs.

groupIDs
Headers
string
required

Bearer token

Responses
204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL